## NAME

v.reclass - Changes vector category values for an existing vector map according to results of SQL queries or a value in attribute table column.

## KEYWORDS

vector, attribute table

## SYNOPSIS

v.reclass
v.reclass help
v.reclass input=name output=name [rules=string] [column=string] [type=string[,string,...]] [layer=integer] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
rules=string
  Full path to the reclass rule file
column=string
  The name of the column values of which are used as new categories. The column must be type integer.
type=string[,string,...]
  Select type
  Options: point,line,boundary,centroid
  Default: point,line,boundary,centroid
layer=integer
  Layer number
  Default: 1

## DESCRIPTION

v.reclass allows user to create a new vector map based on the reclassification of an existing vector map.
Rules file may contain on each row either pair:
keyword value
(separated by space) or comment beginning by #(hash). Definition of new category begins with keyword cat followed by new category value. Keyword where specifies SQL where condition.

## EXAMPLE

    v.reclass input=land output=land_u type=boundary rules=land.rcl

the rules file contains :

    # land reclass file
    cat 1
    where use = 'E13' and owner = 'Jara Cimrman'
    cat 2
    where use = 'E14'

Produces a new vector area map land_u containing boundaries from land with area category values selected from database by SQL select statement:
select id from tland where use = 'E13' and owner = 'Jara Cimrman' changed to category 1;
values selected from database by SQL select statement:
select id from tland where use = 'E14' changed to category 2.

## NOTES

No table is created for reclassed layer if column option is used and column type is integer (there is nothing which could be written to the table).

For dissolving common boundaries, see v.extract.

## BUGS

No table is created for reclassed layer if rules option is used.

## SEE ALSO

v.extract

## AUTHOR

R.L. Glenn, USDA, SCS, NHQ-CGIS
from v.reclass to v.db.reclass and later to v.reclass in 5.7 rewritten by Radim Blazek

Last changed: $Date: 2006/03/03 13:41:42 $

Main index - vector index - Full index